<?xml version="1.0" encoding="utf-8"?>
<!--
    Copyright (c) Members of the EGEE Collaboration. 2004.
    See http://public.eu-egee.org/partners/ for details on 
    the copyright holders.
    For license conditions see the license file or
    http://eu-egee.org/license.html

    Authors: 
         Akos Frohner <Akos.Frohner@cern.ch>

    This XSL file stripts the documentation comments of a
    WSDL document, creating a more compact file.
-->
<xsl:stylesheet
  xmlns:wsdd="http://xml.apache.org/axis/wsdd/"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
  xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/"
  xmlns:soap="http://schemas.xmlsoap.org/soap/encoding/"
  xmlns:xmlschema="http://www.w3.org/2001/XMLSchema"
  version='1.0'>
<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>

<!-- identity copy of everything ... -->
<xsl:template match="@*|node()">
  <xsl:copy>
    <xsl:apply-templates select="@*|node()"/>
  </xsl:copy>
</xsl:template>

<!-- ... except these elements -->
<xsl:template match="wsdl:documentation"/>
<xsl:template match="xmlschema:annotation"/>
<xsl:template match="xmlschema:documentation"/>

</xsl:stylesheet>
